{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    " ABABABA ",
    " BCCCCCB ",
    " ACDEFCA ",
    " BCGHGCB ",
    " ACIJICA ",
    " BCGKGCB ",
    " ACLMLCA ",
    " BCCCCCB ",
    " ABABABA "
  ],
  "key": {
    "A": {
      "item": "thermal_extra:nebulium_plate"
    },
    "B": {
      "item": "pneumaticcraft:plastic"
    },
    "C": {
      "item": "thermal:enderium_glass"
    },
    "D": {
      "item": "pneumaticcraft:gps_area_tool"
    },
    "E": {
      "item": "pneumaticcraft:universal_sensor"
    },
    "F": {
      "item": "pneumaticcraft:heat_sink"
    },
    "G": {
      "item": "mmorpg:currency/reroll_primary_stats_numbers"
    },
    "H": {
      "item": "mmorpg:currency/stone_of_hope"
    },
    "I": {
      "item": "betterendforge:eternal_crystal"
    },
    "J": {
      "item": "dubl:illusory_mirror"
    },
    "K": {
      "item": "mmorpg:currency/orb_of_infinity"
    },
    "L": {
      "item": "pneumaticcraft:printed_circuit_board"
    },
    "M": {
      "item": "pneumaticcraft:advanced_pcb"
    }
  },
  "result": {
    "item": "dubl:mirror_of_keksandra"
  }
}